"ui";

const VERSION = '20231111-02'

ui.layout(
    <frame>
        <vertical id="main" visibility="visible">
		    <button id="jd" textSize="20sp" text="优先. 领取京东双11现金红包（退出再进，每日一共三次）" textColor="red" /> 
            <button id="tb" textSize="20sp" text="优先. 每日领取淘宝双11现金红包" textColor="red" /> 
            <button id="automationPermission" text="1. 授予酷喜助手无障碍权限***" textColor="blue" />
            <button id="consolePermission" text="2. 授予悬浮窗权限***" textColor="blue" />
            <button id="startTask" text="3-1. 开始淘宝幻想岛(完成新手任务再打开!)" /> 
			<button id="tbhuichang" text="3-2. 红包会场任务淘宝" /> 
			<button id="tbluckTask" text="3-3. 预售会场12红包任务淘宝" /> 
			<button id="jdhb" text="3-4. 京东红包做任务" /> 
			<button id="showQun2"  textSize="35sp" text="加入捡漏薅羊毛线报群" />
			
          
            
            {/* <button id="feedback" text="正版发布地址！小心病毒盗版！" /> */}
            <button id="checkUpdate" text="检查更新（需要联网）" />
			<button id="guide" text="使用教程+其他网盘更新地址" />
            <text text="使用脚本有机率导致任务收益减少！本脚本仅供学习参考，请勿用于非法用途，使用脚本导致的任何可能结果与本人无关。请使用新版淘宝/京东运行，老版本部分任务会出现问题。" textStyle="bold|italic" textColor="red" textSize="14sp" />
			<text text="不使用脚本时请在手机系统设置关闭所有应用的无障碍!!!" textStyle="bold|italic" textColor="green" textSize="14sp" />
            {/* <text text="部分机型无障碍权限授予部分可能出现bug，请关闭软件重新打开授予权限。" textStyle="italic" textColor="blue" /> */}
            {/* <text text="如果始终无法授予请重启手机尝试" /> */}
            <text text="使用说明" textColor="red" />
            <text text="1. 运行脚本之前建议按首先点击授予权限" />
            <text text="2. 脚本运行过程中按 音量减(部分手机是加) 即可强制停止" />
            <text text="3. 部分互动任务需要手动完成" />
            <text text="其他说明" textColor="red" />
            <text text="1. 本脚本基于Auto.JS（感谢原开发者）" />
            <text autoLink="web" text="2. 本程序完全免费,严禁售卖,仅做学习用途,发现售卖请退款!" />
            <text text="3. 由于调用淘宝打开页面，部分手机管家可能会误报为诱导软件，实际上本软件绝无任何病毒行为。" />
            {/* <text text="4. 运行中出现bug请附上详细控制台log、页面截图等提交issue" /> */}
            <text id="ver" line="1" />
        </vertical>
        <vertical id="qun" visibility="gone" bg="#ffffff">
            <img id="jiaQun" src="file://res/qun.png" />
            <text text="互助QQ群：424094920，点击图片自动跳转手机QQ添加" textSize="20sp" gravity="center" />
            <button id="hideQun" style="Widget.AppCompat.Button.Colored" text="隐藏" />
        </vertical>
        <vertical id="qun2" visibility="gone" bg="#ffffff">
            <img id="jiaQun2" src="file://res/qun2.png" />
            <text text="线报QQ群：1018486408，点击图片自动跳转手机QQ添加" textSize="20sp" gravity="center" />
            <button id="hideQun2" style="Widget.AppCompat.Button.Colored" text="隐藏" />
        </vertical>
        {/* <vertical id="hb" visibility="gone" bg="#ffffff" paddingTop="50" paddingLeft="20" paddingRight="20">
            <text text="每日的红包使用掉，淘宝才会给你发新红包！5元惊喜红包不用完，绝对不会收到下一个5元！" textSize="18sp" textStyle="bold" textColor="red" />
            <button id="get" text="先领红包，不领咋有的用哈哈" />
            <button id="one" text="小红包：每日一元购" />
            <button id="big" text="大红包：官方补贴清单" />
            <button id="hideHb" style="Widget.AppCompat.Button.Colored" text="隐藏" />
        </vertical> */}
        <vertical id="huichang" visibility="gone" bg="#ffffff" paddingTop="50" paddingLeft="20" paddingRight="20">
            {/* <button id="jianhuo" text="618内部爆款清单" /> */}
            <button id="jdHuichang" text="京东618主会场" />
            <button id="yushou" text="天猫618主会场" />
            <button id="jdYouhui" text="京东618万券齐发会场，早鸟券包1分抢" />
            <button id="jdRexiao" text="京东618爆款清单，预售定金膨胀至高5倍" />
            <button id="rexiao" text="618热销榜，单单有补贴" />
            <button id="chaoshi" text="天猫超市，抢15元超市优惠券" />
            <button id="jdChaoshi" text="京东超市，上午下单下午收货，领券满200-20" />
            <button id="jdBaihuo" text="京东新百货，美妆居家钟表运动，送货上门正品保障" />
            <button id="hideHC" style="Widget.AppCompat.Button.Colored" text="隐藏" />
        </vertical>
    </frame>
)

ui.ver.setText('\n版本：' + VERSION)

threads.start(checkUpdate)

ui.automationPermission.click(function () {
    threads.start(autoPerReq)
})

ui.consolePermission.click(function () {
    threads.start(conPerReq)
})

// ui.startTask.click(function () {
//     // alert('淘宝活动尚未开始', '5.29天猫活动上线，敬请关注脚本更新')
//     engines.execScriptFile('./start.js')
// })

ui.tbhuichang.click(function () {
    engines.execScriptFile('./tb_huichang.js')
})

ui.startTask.click(function () {
    engines.execScriptFile('./start.js')
})

ui.tbluckTask.click(function () {
    engines.execScriptFile('./tb_luck.js')
})

ui.jdhb.click(function () {
    engines.execScriptFile('./jd_hb.js')
})

// ui.butie.click(function () {
//     const url = 'm.tb.cn/h.4yiqRfM'

//     app.startActivity({
//         action: "VIEW",
//         data: "taobao://" + url
//     })
// })

// ui.discountTask.click(function () {
//     // toast('也可手淘搜索密令【我要领红包7555】直达会场！')
//     const url = 'https://m.tb.cn/h.fkkgNPR'
//     openTbUrl(url)
// })

// ui.specialTask.click(function() {
//     engines.execScriptFile('./special.js')
// })

// ui.caidan.click(function () {
//     engines.execScriptFile('./egg.js')
// })

// ui.showQun.click(function () {
    // app.startActivity({
        // action: 'VIEW',
        // data: 'mqqapi://card/show_pslcard?src_type=internal&version=1&uin=424094920&card_type=group&source=qrcode'
    // })
// })

ui.showQun2.click(function () {
    app.startActivity({
        action: 'VIEW',
        data: 'mqqapi://card/show_pslcard?src_type=internal&version=1&uin=1079400375&card_type=group&source=qrcode'
    })
})

// ui.hideQun.click(function () {
    // ui.qun.visibility = 8
    // ui.main.visibility = 0
// })

// ui.hideQun2.click(function () {
    // ui.qun2.visibility = 8
    // ui.main.visibility = 0
// })

// ui.jiaQun.click(function () {
    // app.startActivity({
        // action: 'VIEW',
        // data: 'mqqapi://card/show_pslcard?src_type=internal&version=1&uin=424094920&card_type=group&source=qrcode'
    // })
// })

// ui.jiaQun2.click(function () {
    // app.startActivity({
        // action: 'VIEW',
        // data: 'mqqapi://card/show_pslcard?src_type=internal&version=1&uin=1018486408&card_type=group&source=qrcode'
    // })
// })

// ui.feedback.click(function () {
//     app.openUrl('https://github.com/monsternone/tmall-miao')
// })

ui.checkUpdate.click(function () {
    threads.start(checkUpdate)
})

ui.jd.click(function() {
    dialogs.build({
        title: "是否使用复制京口令领取？",
        content: "实测京口令领取红包更大，如果app未自动弹出口令请使用默认方式",
        positive: "京口令方式",
        negative: "默认方式"
    }).on("positive", ()=>{
        setClip("(K3vZ0CyOsKNv8bis)")
        rawInput("已复制，部分机型限制剪贴板，可以手动复制", "(K3vZ0CyOsKNv8bis)")
        if (launch('com.jingdong.app.mall')) {
            toast('京口令已复制，打开京东App领取')
        } else {
            toast('京口令已复制，请手动打开京东App领取')
        }
    }).on("negative", ()=>{
        const url = 'https://u.jd.com/0zxlkZC'
        openJdUrl(url)
    }).show()
})
 
ui.tb.click(function () {
    const url = 'https://s.m.taobao.com/h5?q=心想事成8555'
    openTbUrl(url)
})

ui.guide.click(function () {
    app.openUrl("https://note.youdao.com/s/Wr2wulWQ");
})

// ui.showHC.click(function () {
//     ui.main.visibility = 8
//     ui.huichang.visibility = 0
// })

// ui.yushou.click(function () {
//     const url = 'https://s.m.taobao.com/h5?q=天降红包2522'
//     openTbUrl(url)
// })

// ui.jianhuo.click(function () {
//     app.startActivity({
//         action: "VIEW",
//         data: "taobao://m.tb.cn/h.fkiwuT1"
//     })
// })

// ui.chaoshi.click(function () {
//     const url = 'https://m.tb.cn/h.fGqW8np'
//     openTbUrl(url)
// })

// ui.rexiao.click(function () {
//     const url = 'https://m.tb.cn/h.fHsWgCg'
//     openTbUrl(url)
// })

// ui.jdHuichang.click(function () {
//     const url = 'https://u.jd.com/JMmsr0R'
//     openJdUrl(url)
// })

// ui.jdRexiao.click(function () {
//     const url = 'https://u.jd.com/JCmOPG3'
//     openJdUrl(url)
// })

// ui.jdYouhui.click(function () {
//     const url = 'https://u.jd.com/JLmi25r'
//     openJdUrl(url)
// })

// ui.jdChaoshi.click(function () {
//     const url = 'https://u.jd.com/Jdmq37C'
//     openJdUrl(url)
// })

// ui.jdBaihuo.click(function () {
//     const url = 'https://u.jd.com/JwmGQGo'
//     openJdUrl(url)
// })

// ui.hideHC.click(function () {
//     ui.huichang.visibility = 8
//     ui.main.visibility = 0
// })

// ui.hideHb.click(function () {
//     ui.hb.visibility = 8
// })

// ui.get.click(function () {
//     app.startActivity({
//         action: "VIEW",
//         data: "taobao://m.tb.cn/h.4Hbw15w"
//     })
// })

// ui.one.click(function () {
//     app.startActivity({
//         action: "VIEW",
//         data: "taobao://m.tb.cn/h.4uqf6PB"
//     })
// })

// ui.big.click(function () {
//     app.startActivity({
//         action: "VIEW",
//         data: "taobao://m.tb.cn/h.4uqfnYR"
//     })
// })

function autoPerReq() {
    if (!auto.service) {
        alert('找到酷喜助手，勾选授予权限', '部分机型在“已安装服务”中')
    }
    auto.waitFor()
    toast('无障碍权限授予成功')
}

function conPerReq() {
    toast('打开悬浮窗权限')
    toast('华为/荣耀机型注意，请手动到设置-应用-权限中开启（仅首次运行需要）')
    console.show()
    console.log('悬浮窗权限授予成功！此窗口马上消失')
    sleep(1000)
    console.hide()
}


function checkUpdate() {
    if (VERSION == 0) {
        toast('无法加载version.js')
        return
    }
    toast('正在检查更新')
    const versionUrl = 'https://gitee.com/d565836916/longshangsuanke/raw/master/version'
    http.get(versionUrl, {}, function (res, err) {
        if (err) {
            toast('检查更新出错，请手动前往项目地址查看')
            return
        }
        try {
            res = res.body.json()
        } catch (err) {
            toast('检查更新出错，请手动前往项目地址查看')
            return
        }
        const version = res.version
        const log = res.log
        if (version != VERSION) {
            var go = confirm("有新的版本，前往下载" + version, log)
            if (go) {
                alert('请下载最新版')
                app.openUrl('https://www.123pan.com/s/ZXqbVv-JKN5v.html')
            }
        } else {
            toast('当前为最新版')
        }
    })
}

// 唤起京东APP打开url的方法
function openJdUrl(url) {
    app.startActivity({
        action: "VIEW",
        data: 'openApp.jdMobile://virtual?params={"category":"jump","des":"m","sourceValue":"JSHOP_SOURCE_VALUE","sourceType":"JSHOP_SOURCE_TYPE","url":"'+ url +'","M_sourceFrom":"h5auto","msf_type":"auto"}'
    })
}

// 唤起淘宝APP打开url的方法，此处url带不带http头都可
function openTbUrl(url) {
    url = url.replace(/https?:\/\//, '')
    app.startActivity({
        action: "VIEW",
        data: "taobao://" + url
    })
}